package Models.Statements;

import Models.Program.IDictionary;
import Models.Program.ProgramState;
import Models.Types.IType;

public class NopStatement implements IStatement {
    public String toString() {
        return "";
    }

    public IStatement copy() {
        return new NopStatement();
    }

    public ProgramState execute(ProgramState state) {
        return null;
    }

    public IDictionary<String, IType> typeCheck(IDictionary<String, IType> typeTable) {
        return typeTable;
    }
}
